#ifndef QRCODE_DECODELIB_H
#define QRCODE_DECODELIB_H
#include <windows.h>
#include <vector>

typedef struct tagResult
{
	BYTE *pData;
	int nSize;
	POINT ptsBarcode[4];
}Result;

Result * __stdcall _QRCodeDecode(HBITMAP hImage,int *pCount);
Result * __stdcall _QRCodeDecodeImageFile(char  *pImageFile,int *pCount);
Result *  __stdcall  _QRCodeDecodeGrayImage(BYTE *pGray,int width,int height,int *pCount);
void  __stdcall  _QRCodeFree(Result *r, int nCount);
HBITMAP __stdcall _LoadImageEx(char *lpImageFile);


#endif	/*QRCODE_ENCODELIB_H*/

